<script lang="ts">
    import BigButton from "../components/BigButton.svelte";
    import Container from "../components/Container.svelte";
</script>

<Container>
    <div class="container">
       
        {#if window.lightdm.can_shutdown}
            <BigButton icon="Plug24" text="Arrêter" on:click={() => window.lightdm.shutdown()} />
        {/if}
        {#if window.lightdm.can_restart}
            <BigButton icon="Sync24" text="Redémarrer" on:click={() => window.lightdm.restart()} />
        {/if}

    </div>
</Container>


<style>
    .container {
        @apply w-screen h-screen flex items-center justify-center text-light-50 gap-8 fill-white;
    }
</style>
